SDL 1.2 on 10.5 and a bit about 1.3

Hello folks,

I can’t say much about 10.5 because it’s under NDA, but I can say I
compiled my SDL app (1.2.11) on 10.5 without any warning and it ran
like on 10.4.

I use SDL only as an hardware abstraction lib for events, opengl
context and threads, so I cannot really test all the 2D api.

I will run the tests programs when I can have a little time on the
10.5 machine, if you have any specific tests you wish me to do,
please, provide a source code or a binary (ppc).

Now, about SDL 1.3. I am wondering, my game won’t be out until 1year
I think (we still have about 3000 3D models to finish), so I think I
will go with SDL 1.3, but, what I am wondering about is: how much the
API are going to change? I mean not from 1.2, but from current 1.3.
Is it the right time to dive in 1.3? I only pool for events, create
an opengl context and start/end threads/timers.

Regards–
Kuon

"Don’t press that button."
http://goyman.com/
Blog: http://kuon.goyman.com/

Now, about SDL 1.3. I am wondering, my game won’t be out until 1year
I think (we still have about 3000 3D models to finish), so I think I
will go with SDL 1.3, but, what I am wondering about is: how much the
API are going to change? I mean not from 1.2, but from current 1.3.
Is it the right time to dive in 1.3? I only pool for events, create
an opengl context and start/end threads/timers.

You should be fine with SDL 1.3. The most changes are likely to be in
the 2D video API.

See ya!
-Sam Lantinga, Lead Software Engineer, Blizzard Entertainment